Returns all the info of a client.

Permission level: read

GET /clients/{clientIdentifier}

Operation id: ClientService_GetClient

Tags: ClientService

Parameters

Path parameters

NameTypeRequiredDescription
clientIdentifierstringYesClient Identifier of the client, can be of type CLIENT_ID or CLIENT_NAME, Required: true

Query parameters

NameTypeRequiredDescription
tenantIdstringNoTenant of the client to read, Required: false
typestringNoIdentifier Type to use to search for the client, Default: CLIENT_ID, Required: false - CLIENT_ID: Default value

Security

  • Authorization (apiKey)
    • Bearer token

Responses

200 — A successful response.

Content type: application/json

default — An unexpected error response.

Content type: application/json

Response models

200 — A successful response.

Content type: application/json

Schema

PropertyTypeRequiredDescription
tokenMetadataobjectNo
{
  "type": "object",
  "properties": {
    "tokenMetadata": {
      "type": "object",
      "properties": {
        "clientName": {
          "type": "string"
        },
        "clientId": {
          "type": "string"
        },
        "tenantId": {
          "type": "string"
        },
        "createTime": {
          "type": "string",
          "format": "date-time"
        },
        "lastUpdate": {
          "type": "string",
          "format": "date-time"
        },
        "expirationTime": {
          "type": "string",
          "format": "date-time"
        },
        "firstName": {
          "type": "string"
        },
        "lastName": {
          "type": "string"
        },
        "secret": {
          "type": "string"
        },
        "clientDescription": {
          "type": "string"
        },
        "tokenTtl": {
          "type": "string",
          "format": "int64"
        },
        "tokenTtlUnit": {
          "type": "string"
        },
        "primarySite": {
          "type": "string"
        },
        "assignedRoles": {
          "type": "array",
          "items": {
            "type": "object",
            "properties": {
              "domain": {
                "type": "string",
                "description": "The platform domain. Required: true. (e.g. ZPA, Reflexis, WFC)\nDefaults to the domain in the request."
              },
              "scope": {
                "type": "string",
                "description": "Some more general scoping for the data (like a particular app in the domain). Required: false."
              },
              "roleId": {
                "type": "string",
                "description": "The role ID. Required: true."
              }
            }
          }
        },
        "status": {
          "type": "string",
          "enum": [
            "NONE",
            "ACTIVE",
            "INACTIVE"
          ],
          "default": "NONE"
        },
        "clientTtl": {
          "type": "string",
          "format": "int64"
        },
        "clientTtlUnit": {
          "type": "string"
        }
      }
    }
  }
}

default — An unexpected error response.

Content type: application/json

Schema

PropertyTypeRequiredDescription
codeinteger (int32)No
messagestringNo
detailsarrayNo
{
  "type": "object",
  "properties": {
    "code": {
      "type": "integer",
      "format": "int32"
    },
    "message": {
      "type": "string"
    },
    "details": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "@type": {
            "type": "string"
          }
        }
      }
    }
  }
}